For the complete documentation index, see llms.txt. This page is also available as Markdown.

Crypto Payment Orders

These endpoints are meant for merchants and payment processors using Beta's Crypto Payment API to create orders and retrieve their details.

Create a New Order

POST https://live.betaapp.com/v1/order

Beta will freeze the quote for this order for 20 minutes.

If the payer deposits a different amount/asset than requested or after this timeframe, our platform will automatically trigger workflows for the payer to top-up the remaining amount or receive a refund for its deposit.

Headers

Name
Type
Description

Authorization*

String

Bearer {access_token}

accept*

String

application/json

x-sub-account-id

String

Subaccount ID, If any.

Request Body

Name
Type
Description

network*

String

Crypto Network: bitcoin, erc-20, ripple

source_asset*

String

Crypto Asset: BTC, ETH, XRP

target_asset*

String

Fiat Asset: USD, BRL, MXN

target_amount*

Number

Amount in Fiat

description*

String

Description of the product or service provided. It could be the Order ID If e-commerce.

recipient_email*

String

Payer's e-mail

recipient_language_code*

String

Payer's Prefered language: EN, PT

link_exp

integer

Time in hours for the payment link to expire. (Default is 72)

Request Example:

Response Example:

Displaying the information:

The wallet_address, tag, and network, are the parameters you should use to display the crypto deposit details.

Here is an example of how the New Order Response could be displayed on the Front-End

Wallet address displayed on the Checkout

Retrieve Order List

GET https://live.betaapp.com/v1/order

This endpoint retrieves the Order List of a specific account_id or subaccount_id.

You can also filter the list by status, e-mail, or description.

Query Parameters

Name
Type
Description

order_by

String

Parameters: id, recipient_email, description, created_at, status

search

String

It could be e-mail or description

status

String

Parameters: open, pending, confirmed, canceled.

page*

Integer

Page number for this query

size*

Integer

Number of items per page

Headers

Name
Type
Description

x-sub-account-id

String

Only If you have subaccounts

Authorization*

String

Bearer {access_token}

accept*

String

application/json

Request Example:

Response Example:

Retrieve Order Details

GET https://live.betaapp.com/v1/order/details/{id}

This endpoint provides all the detail for a specific payment.

Query Parameters

Name
Type
Description

id*

String

Order ID

Headers

Name
Type
Description

Authorization*

Srting

Bearer {access_token}

accept*

String

application/json

Request Example:

Response Example:

Last updated